Skip to content
Framework Docs

List Directory Files

client.beta.directories.files.list(stringdirectoryID, FileListParams { display_name, display_name_contains, expand, 9 more } query?, RequestOptionsoptions?): PaginatedCursor<FileListResponse { id, directory_id, display_name, 8 more } >
GET/api/v1/beta/directories/{directory_id}/files

List all files within the specified directory with optional filtering and pagination.

ParametersExpand Collapse
directoryID: string
query: FileListParams { display_name, display_name_contains, expand, 9 more }
display_name?: string | null
display_name_contains?: string | null
expand?: Array<string> | null

Fields to expand on each directory file.

file_id?: string | null
include_deleted?: boolean
organization_id?: string | null
page_size?: number | null
page_token?: string | null
project_id?: string | null
unique_id?: string | null
updated_at_on_or_after?: string | null

Include items updated at or after this timestamp (inclusive)

formatdate-time
updated_at_on_or_before?: string | null

Include items updated at or before this timestamp (inclusive)

formatdate-time
ReturnsExpand Collapse
FileListResponse { id, directory_id, display_name, 8 more }

API response schema for a directory file.

id: string

Unique identifier for the directory file.

directory_id: string

Directory the file belongs to.

display_name: string

Display name for the file.

minLength1
project_id: string

Project the directory file belongs to.

unique_id: string

Unique identifier for the file in the directory

minLength1
created_at?: string | null

Creation datetime

formatdate-time
deleted_at?: string | null

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
download_url?: PresignedURL { expires_at, url, form_fields } | null

Schema for a presigned URL.

expires_at: string

The time at which the presigned URL expires

formatdate-time
url: string

A presigned URL for IO operations against a private file

minLength1
formaturi
form_fields?: Record<string, string> | null

Form fields for a presigned POST request

file_id?: string | null

File ID for the storage location.

metadata?: Record<string, string | number | boolean | Array<string> | null>

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
number
boolean
Array<string>
updated_at?: string | null

Update datetime

formatdate-time

List Directory Files

import LlamaCloud from '@llamaindex/llama-cloud';

const client = new LlamaCloud({
  apiKey: process.env['LLAMA_CLOUD_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const fileListResponse of client.beta.directories.files.list('directory_id')) {
  console.log(fileListResponse.id);
}
{
  "items": [
    {
      "id": "id",
      "directory_id": "directory_id",
      "display_name": "x",
      "project_id": "project_id",
      "unique_id": "x",
      "created_at": "2019-12-27T18:11:19.117Z",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "download_url": {
        "expires_at": "2019-12-27T18:11:19.117Z",
        "url": "https://example.com",
        "form_fields": {
          "foo": "string"
        }
      },
      "file_id": "file_id",
      "metadata": {
        "foo": "string"
      },
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "directory_id": "directory_id",
      "display_name": "x",
      "project_id": "project_id",
      "unique_id": "x",
      "created_at": "2019-12-27T18:11:19.117Z",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "download_url": {
        "expires_at": "2019-12-27T18:11:19.117Z",
        "url": "https://example.com",
        "form_fields": {
          "foo": "string"
        }
      },
      "file_id": "file_id",
      "metadata": {
        "foo": "string"
      },
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}